package com.example.linearlayout;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends AppCompatActivity {

    public void clickButtonWeight1_2(View view) {
        Intent intent = new Intent(this, Weight1_2Activity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonWeight1_1(View view) {
        Intent intent = new Intent(this, Weight1_1Activity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonWrapContent(View view) {
        Intent intent = new Intent(this, WrapContentActivity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonFillParent(View view) {
        Intent intent = new Intent(this, FillParentActivity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonFillParent_1(View view) {
        Intent intent = new Intent(this, FillParentActivity_1.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonFillParent_2(View view) {
        Intent intent = new Intent(this, FillParentActivity_2.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonFillParent_3(View view) {
        Intent intent = new Intent(this, FillParentActivity_3.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonLine(View view) {
        Intent intent = new Intent(this, LineActivity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonDivider(View view) {
        Intent intent = new Intent(this, DividerActivity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonLinearLayout(View view) {
        Intent intent = new Intent(this, LinearLayoutActivity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    public void clickButtonLayoutGravity(View view) {
        Intent intent = new Intent(this, LayoutGravityActivity.class); // 其中 Weight1_2Activity.class 是要显示的 Activity 的类
        startActivity(intent);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }
}